2007-08-26  Neil Williams <codehelp@debian.org>

	* Remove the diversions upon installation.
	* buildcross: new shell library to replace perl dpkg-buildpackage
    diversion

	* Closing this ChangeLog in preference for debian/changelog
	to keep all future changes in 2.0.0 in one place. (This file
	was never installed anyway.)
	(Recommend using dch and debcommit.)

2007-08-21  Neil Williams <codehelp@debian.org>

	* dpkg-buildpackage : Implement cleaner DEBUG output support.
	Implement a --no-merge option to allow separate .changes files,
	clean up the --help output and provide a clean --version option.
	* dpkg-cross : replace %archtable functionality (now in the module)
	with a check_arch exported function.
	* dpkg-shlibdeps : revert to exec as system doesn't provide the pipe
	* gccross : use new DEBUG output support and File::Basename.
	* Debian/DpkgCross.pm : support output of debug data from the module.
	add $crossroot to %config. Reinstate the clearance of MAKEFLAGS. Any
	packages that fail to build without MAKEFLAGS overrides are buggy!
	* debian/control : Conflict against old versions of apt-cross and
	emdebian-tools that would look for dpkg-cross.pl

2007-08-20  Neil Williams <codehelp@debian.org>

	* dpkg-cross : move rewrite_pkg_name into module, remove
	redundant -w in shebang
	* dpkg-shlibdeps : fix indents, use strict and call dpkgcross_application via the module
	* gccross : call simplify_path via the module and obtain the module config
	* objcopy,
	objdump,
	strip : test removal of &read_config() pending removal of new module inclusion
	* Debian/DpkgCross.pm : export rewrite_pkg_name. require arch and mode for setup_cross_env.
	* all : Update FSF address.
	* dpkg-buildpackage : remove debug code, set $progname from File::Basename and $0.
	Handle undefined variables in strict mode.

2007-08-14  Neil Williams <codehelp@debian.org>

	* debian/changelog,
	debian/control,
	debian/dpkg-cross.install,
	debian/libdebian-dpkgcross-perl.install,
	debian/rules : beginning refactoring. Migrate to CDBS and prepare for
	a separate Debian::DpkgCross Perl module package.
	* debian/NEWS.Debian -> debian/News : renamed
	* dpkg-buildpackage,
	gccross,
	dpkg-cross : adding outline debug code (will make optional later)
	* Debian/DpkgCross.pm : migrating dpkg-cross.pl to a perl module
	Check dpkg-architecture before falling back to internal
	tables. Fix broken CC_FOR_BUILD handling in diverted dpkg-buildpackage.
	* cross-config* : moving config files to separate directory
	* cross-config.common : Removed. (Closes: #72405)
	* cross-config.${arch_os} : Removed (Closes: #284275)

2007-07-05  Neil Williams <codehelp@debian.org>

	* dpkg-buildpackage : Add --help support as well as -h
	and fix typo that excluded the call to exit. Closes #416437
	* dpkg-cross : Possible fix for #426333
	virtuoso's source transform fix to always save the 'Source:'
	header.
	* dpkg-cross.pl : typo (fix by virtuoso).
	* debian/control : Add XS-X-Vcs-Browser link to debian/control.

2007-07-01  Neil Williams <codehelp@debian.org>

	* dpkg-shlibdeps : warn is not one of our subroutines
	so omit the & prefix and add a newline to clean up
	the message.

2007-05-14  Neil Williams <codehelp@debian.org>

	* dpkg-cross : set cross2cross as the default, remove
	undocumented option to set it and fix two typos

2007-05-09  Neil Williams <codehelp@debian.org>

	* dpkg-cross,
	dpkg-cross.pl : add support for "cross" -dev packages
	for non-default libc. #422871
	* dpkg-cross : symlinks in linux-header packages. #379004
	* cross-config.armel : Migrate experimental armel support
	into unstable.

2007-01-21  Neil Williams <codehelp@debian.org>

	* dpkg-cross.pl : Fix use of uninitialised values to enable
	scripts using dpkg-cross.pl to use the -w switch.

2006-10-15  Nikita V. Youshchenko <yoush@debian.org>

	* dpkg-cross.pl: Detect 64bit powerpc binaries and select proper tools
	  for them.

2006-09-22  Nikita V. Youshchenko <yoush@debian.org>

	* dpkg-cross: Don't discard .so symlinks from library development
	  packages. Fix by Alexander Shishkin <alexander.shishckin@gmail.com>.

2006-07-24  Nikita V. Youshchenko <yoush@debian.org>

	* dpkg-cross: when converting package, move all files from /usr/src/
	  to $crossdir/src/ - needed for kernel headers packages.
	  Suggested by Marcus Better <marcus@better.se>.
	* dpkg-buildpackage: add -nw option to disable gccross wrapper.

2006-07-23  Nikita V. Youshchenko <yoush@debian.org>

	* dpkg-cross: when converting package, allow external symlinks
	  that point under /usr/src/ - this is needed for kernel headers
	  packages.

2006-07-20  Nikita V. Youshchenko <yoush@debian.org>

	* dpkg-cross: fixed bug processing packages with pre-depends.

2006-06-22  Nikita V. Youshchenko <yoush@debian.org>

	* gccross: be more verbose about using the wrapper.

2006-05-18  Nikita V. Youshchenko <yoush@debian.org>

	* Rased version-dependency on debhelper to 5.
	* Added debhelper also to Build-Depends, not only Build-Depends-Indep.

2006-05-17  Nikita V. Youshchenko <yoush@debian.org>

	* Added tzdata to default 'removedeps' (request from
	  NIIBE Yutaka <gniibe@fsij.org>); also added gcc-4.1-base to
	  'keepdeps'.
	* Set maintainer to
	  Debian Embedded Group	<debian-embedded@lists.debian.org>,
	  set several uploaders.
	* Set Standards-Version to 3.7.2, no changes needed.
	* Increased DH_COMPAT to 5.

2006-04-18  Nikita V. Youshchenko <yoush@debian.org>

	* dpkg-cross.pl: more fixes from Volker Grabsch - added w32 stuff
	  to get_tool tables, fix for setting makeflags.
	* dpkg-cross.pl: made $crossprefixtable{'i386'}[0] to be
	  i486-linux-gnu-

2006-04-13  Nikita V. Youshchenko <yoush@debian.org>

	* dpkg-cross.pl: fixed a typo in variable setting, found by
	  Volker Grabsch <vog@notjusthosting.com>.
	* dpkg-cross.pl: added nm, ar, ranlib, windres to %std_tools,
	  request from Volker Grabsch <vog@notjusthosting.com>.

2005-12-08  Nikita V. Youshchenko <yoush@debian.org>

	* debian/NEWS.Debian: added at item for 1.26 package.

2005-12-03  Nikita V. Youshchenko <yoush@debian.org>

	* dpkg-buildpackage: when merging .changes files, remove 'source' from
	  arch field of the resulting file name - this is nearer to normal
	  dpkg-buildpackage behaviour. Related to #322926.

2005-12-01  Nikita V. Youshchenko <yoush@debian.org>

	* objcopy: added a wrapper, Seems to be needed by dh_strip called
	  from cross-gcc 4.0 packages building.

2005-11-06  Nikita V. Youshchenko <yoush@debian.org>

	* objdump: added a wrapper, based on strib wrapper. Seems to be needed
	  by dh_strip called from cross-gcc 4.0 packages building.

2005-10-29  Nikita V. Youshchenko <yoush@cs.msu.su>

	* dpkg-cross: if dpkg-deb -b failes, output errors even if
	  not verbose.
	* dpkg-cross, dpkg-cross.pl: fix several typos.

2005-10-28  Nikita V. Youshchenko <yoush@cs.msu.su>

	* dpkg-cross.pl: added armeb support.
	* dpkg-cross.pl: added variants with -gnu to %crossprefixtable.
	* cross-config.{arm,armeb} - new files from
	  Lennert Buytenhek <buytenh+debian@wantstofly.org>.

2005-10-26  Nikita V. Youshchenko <yoush@cs.msu.su>

	* dpkg-cross: added provides-depends logic to handle layout versions

2005-10-20  Nikita V. Youshchenko <yoush@cs.msu.su>

	* dpkg-cross: fixed a typo in pre-depends handling.

2005-10-19  Nikita V. Youshchenko <yoush@cs.msu.su>

	* cross-compile.example, cross-compile.sgml, dpkg-cross.pl:
	  removed any reference to unused 'crossinfo' variable.
	* debian/control: updated Standarts-Version.
	* dpkg-cross.pl, cross-compile.example, cross-compile.sgml:
	  fast and dirty path change (addition of -gnu).
	* dpkg-buildpackage: fixed help text to print dpkg-cross
	  version and not to reference obsolete documentation.
	* dpkg-cross.pl: set all *_HOST_* vars known by newer
	  dpkg-architecture to environment.
	* debian/control: depend on dpkg-dev >= 1.13.9.

2005-10-16  Nikita V. Youshchenko <yoush@cs.msu.su>

	* dpkg-buildpackage: fixed a typo ('Desription').
	* cross-compile.example: added gcc-*-base to keepdeps.

2005-05-16  Nikita V. Youshchenko <yoush@cs.msu.su>

	* dpkg-shlibdeps: addded "elf64-x86-64" and "elf64-powerpc" to
	  @crosslib64formats, as GOTO Masanori <gotom@debian.or.jp>
	  requested.

2005-05-16  Nikita V. Youshchenko <yoush@cs.msu.su>

	* cross-config.amd64: new file, with content from
	  Alexandra N. Kossovsky <sasha@oktetlabs.ru>

2005-05-13  Nikita V. Youshchenko <yoush@cs.msu.su>

	* dpkg-cross.pl: patch from Alexandra N. Kossovsky <sasha@oktetlabs.ru>
	  that adds amd64 as supported target.

2005-05-05  Nikita V. Youshchenko <yoush@cs.msu.su>

	* dpkg-cross: create md5sums files for -arch-cross packages.
	* cross-compile.example: add lines for glibc package, suggested by
	  Jorik Jonker <jorik@dnd.utwente.nl>.
	* cross-config.m32r: included patch from #284439.
	* dpkg-cross: set umask earlier, to have 0755 permissions on the
	  temporary directory.

2005-02-23  Nikita V. Youshchenko <yoush@cs.msu.su>

	* debian/preinst, debian/postinst, debian/prerm: cleaned up config
	  file moving code; move config files if upgrading from version less
	  than 1.24 (because 1.24 is going to be the first version that uses
	  /etc/dpkg-cross)
	* dpkg-cross.pl, cross-compile.sgml, crosstools: use ~/.dpkg-cross/
	  instead of ~/.dpkg/.
	* Makefile, dpkg-buildpackage, gccross.sgml: moved gccross to
	  /usr/share/dpkg-cross/.
	* Added NEWS.Debian, with a note about moving conffiles.

2005-02-21  Raphael Bossek  <bossekr@debian.org>

	* Makefile, cross-compile.example, cross-compile.sgml, crosstools,
	debian/README.debian, debian/changelog, dpkg-cross.pl, dpkg-cross.sgml,
	gccross.sgml: moved configuration files to /etc/dpkg-cross
	* debian/postrm, debian/preinst, debian/prerm: moving configuration files
	to /etc/dpkg-cross while upgrade. Move configuration file to /etc/dpkg
	while downgrade. Added support for --purge. Support
	branch-debian_version_1_22 versions
	* debian/changelog: create new release 1.24

2005-02-09  Nikita V. Youshchenko <yoush@cs.msu.su>

	* dpkg-buildpackage: don't sign changes file if dpkg-buildpackage.orig
	  failed.
	* debian/control: changed package short description not to start
	  with capilat letter, to make lintian quiet.

2005-01-10  Nikita V. Youshchenko <yoush@cs.msu.su>

	* dpkg-cross.pl: add create_tmpdir() routine to create a temporary
	  directory safely
	* dpkg-cross, dpkg-buildpackage: use create_tmpdir().
	* dpkg-buildpackage: removed workarounds of ancient
	  dpkg-buildpackage.orig bugs related to unwanted .dsc signing
	* dpkg-buildpackage: always pass -uc to dpkg-buildpackage.orig,
	  and sing explicitly after possible merge of .changes files.

2005-01-06  Nikita V. Youshchenko <yoush@cs.msu.su>

	* dpkg-cross.pl: introduced DPKGCROSSARCH, as Raphael suggested.

2005-01-02  Nikita V. Youshchenko <yoush@cs.msu.su>

	* dpkg-buildpackage: add -uc to dpkg-buildpackage.orig call only
	  if existing .changes file does not contain data for $arch.

2004-12-16  Nikita V. Youshchenko <yoush@cs.msu.su>

	* dpkg-cross.pl: add convert_ld_library_path() function that removes
	  everything from LD_LIBRARY_PATH expect paths that start from
	  /usr/lib or /usr/share.
	* strip, dpkg-shlibdeps: use convert_ld_library_path() instead of
	  unsetting LD_LIBRARY_PATH to avoid fakeroot breakage.

2004-12-03  Nikita V. Youshchenko <yoush@cs.msu.su>

	* dpkg-cross.pl: implemented 'unset' feature for configuration file.
	* cross-compile.sgml: document unset feature.
	* cross-compile.sgml: fix a typo.
	* cross-compile.example: unset LD for e2fsprogs; comment cleanup.

2004-12-02  Nikita V. Youshchenko <yoush@cs.msu.su>

	* dpkg-shlibdeps, dpkg-cross.pl: when running external tools
	  which output is parsed, set LC_ALL=C.
	* dpkg-shlibdeps: remove usused sub getsoname.

2004-11-30  Nikita V. Youshchenko <yoush@cs.msu.su>

	* strip: handle strip options with parameters in strip wrapper.
	* dpkg-shlibdeps: don't try to call objdump on non-binaries.
	* dpkg-cross.pl: don't set STRIP variable to $(TARGET)-strip,
	  we have strip wrapper now.
	* cross-compile.example: remove example setting STRIP, it is
	  no longer valid with strip wrapper.
	* dpkg-cross.pl: don't set cross names for 'ar' and 'ranlib' because
	  these tools are actially architecture-independent, and additional
	  vars break some builds. Merged hashes for gcc and binutils vars
	  into single %std_tools.

2004-11-29  Nikita V. Youshchenko <yoush@cs.msu.su>

	* dpkg-shlibdeps, strip: unset LD_LIBRARY_PATH. We don't use it,
	  and it can lead to attempt to link non-native libraries into
	  tools that are called.
	* dpkg-cross.pl: in tool detection code, use 'file -L' to dereference
	  symlinks.

2004-11-15  Nikita V. Youshchenko <yoush@cs.msu.su>

	* dpkg-buildpackage: call dpkg-buildpackage.orig with -uc if .changes
	  file merge is going to happen after package build

2004-11-05  NIIBE Yutaka  <gniibe@fsij.org>

	* dpkg-cross.pl, cross-config.m32r: added support for M32R target
	  architecture.

2004-11-05  David Schleef  <ds@schleef.org>

	* debian/changelog: release 1.20

2004-10-30  Nikita V. Youshchenko <yoush@cs.msu.su>

	* debian/copyright: mention /usr/share/common-licenses/GPL.
	* Makefile: install dpkg-cross.pl to /usr/share/perl5, and don't
	  install it executable.
	* debian/rules: some cleanup.
	* debian/control: move Build-Depends: to Build-Depends-Indep.
	* debian/lintian: add lintian override file to stop lintian complains
	  about no manual pages for commands that dpkg-cross package diverts.
	* debian/rules: install lintian overrides file.
	* debian/control: changed Standards-Version to 3.6.1

2004-10-27  Raphael Bossek <bossekr@debian.org>

	* gccross: Typo in detection of recursive gccross calls fixed
	* gccross.sgml: Documentation improvements.

2004-10-27  Nikita V. Youshchenko <yoush@cs.msu.su>

	* dpkg-buildpackage: when setting up temporary directory with
	  gccross symlinks, link all names that look like available
	  compilers for target.

2004-10-19  Nikita V. Youshchenko <yoush@cs.msu.su>

	* cross-compile.example, cross-compile.sgml, dpkg-cross.pl: change
	  hardcoded default of crossbase to /usr

2004-10-13  David Schleef  <ds@schleef.org>

	* debian/changelog: upload a new version

2004-10-05  Nikita V. Youshchenko <yoush@cs.msu.su>

	* dpkg-cross.pl: fixed a typo in crossprefixtable regarding
	  m68k and s390x architectures.

2004-10-04  Nikita V. Youshchenko <yoush@cs.msu.su>

	* gccross: treat /usr/lib/gcc same as /usr/lib/gcc-lib, since the
	  former is used by gcc-3.4

2004-10-02  Nikita V. Youshchenko <yoush@cs.msu.su>

	* gccross: changed to use zero-configuration scheme, as discussed
	  with Raphael.
	* gccross.sgml: updated documentation.
	* dpkg-cross.pl: renamed several vars in setup() to match convension
	  that *host* are about the target (i.e. system which will host
	  software being built), and *build* are about the host (i.e. system
	  on which build takes place).
	* dpkg-buildpackage: enabled automatic use of gccross, by creating
	  a temporary directory, making gccross symlinks there, and adding
	  the directory to the beginning of PATH.

2004-09-16  Raphael Bossek <bossekr@debian.org>

	* dpkg-cross.pl: added 'ppc' as synonym of 'powerpc' in tool detection
	  tables.
	* dpkg-cross.pl: added get_architecture() as a better routine to get
	  target architecture.
	* cross-compile.sgml: added missing description of default_arch


2004-08-26  Nikita V. Youshchenko <yoush@cs.msu.su>

	* dpkg-cross: fix a typo in error message about wrong package
	  architecture.

2004-08-20  Nikita V. Youshchenko <yoush@cs.msu.su>

	* dpkg-cross.pl: implemented tool (i.e. strip) autodetection, based on
	  analysing of 'file' output. Removed old detection routines based on
	  $arch.
	* Makefile crosstools: added an example configuration file to
	  override tool autodetection.
	* Makefile strip dpkg-cross.pl: added a strip wrapper that chooses
	  which strip to call for given arguments, and modified
	  setup_cross_env() to make use if ot.
	* dh_strip: removed, see #265620 for details.
	* debian/preinst debian/postinst debian/postrm: no longer divert
	  dh_strip, and remove old diversion if it exists.
	* dpkg-shlibdeps: use new procedure to locate objdump.
	* debian/control: depend on 'file' because it is used by autodetection
	  code.  depend on binutils because 'ar' is used by autodetection code.
	* dpkg-cross-convert dpkg-cross-convert.sgml: removed.
	* debian/postinst: don't call dpkg-cross-convert any longer.
	* dpkg-cross: fixed a typo in -a argument parsing.

2004-07-22  Nikita V. Youshchenko <yoush@cs.msu.su>

	* dpkg-cross.pl: fix and enhance simplify_path().
	* gccross: call convert_path() only for absolute pathnames; simplify.

2004-07-22  Raphael Bossek <bossekr@debian.org>

	* gccross: tool for wrapping GCC calls in sense of cross-compile
	  configuration
	* Makefile, cross-compile.sgml, gccross.sgml, cross-compile.5, gccross.1:
	  documentation of gccross and $compilerpath added
	* cross-compile.sgml, dpkg-cross-convert.sgml, dpkg-cross.sgml,
	  cross-compile.sgml, cross-compile.1, dpkg-cross-convert.1, dpkg-cross.1,
	  cross-compile.5: removed German wording for author
	* dpkg-cross.pl, dpkg-cross: convert_path() and simplify_path()
	  moved to dpkg-cross.pl. convert_path() fixed for /usr/(src|lib)
	  directories so files are accepted. simplify_path() does not corrupt
	  relative ../.. paths. $compilerpath as new configuration parameter
	  introduced for gccross.

2004-07-10  Nikita V. Youshchenko <yoush@cs.msu.su>

	* dpkg-cross.pl, dpkg-cross, dpkg-shlibdeps: implemented support for lib64.
	* cross-compile.sgml: documented crosslib64 variable.

2004-07-07  Nikita V. Youshchenko <yoush@cs.msu.su>

	* dpkg-cross.pl: removed debugging code that came to CVS somehow.
	* dpkg-cross.pl: fixed a typo in call to subst() that caused variable
	  values to be lost.

2004-06-24  David Schleef  <ds@schleef.org>

	* debian/changelog: upload 0.16
	* debian/control: conflict with broken pkg-config
	* dpkg-cross.pl: revert PKG_CONFIG_LIBDIR change

2004-06-23  Nikita V. Youshchenko <yoush@cs.msu.su>

	* dpkg-cross.pl: use $crossprefix-gcc -E as preprocessor if
	  $crossprefix-cpp is not available

2004-06-22  Raphael Bossek <bossekr@debian.org>

	* dpkg-buildpackage: moved implementation for setup_cross_env() and
	  related variables to dpkg-cross.pl as part of
	* dpkg-cross.pl: documentation. dpkg-shlibdeps specific implementation
	  removed. Using new variable name convention for local definitions
	  my $name_. Support for pre-processor (CPP) crossprefix for MAKEFLAGS
	  added. Fixed pkg-config's PKG_CONFIG_LIBDIR to PKG_CONFIG_PATH.
	  General implementation for calling diverted application otherwise
	  setup $arch (dpkgcross_application()). Substitution works without
	  warning if an environment variable is defined but empty in sence of
	  a string. Fixed $crossroot initialisation if $default_arch is used
	  for $arch after reading the configuration.
	* dpkg-cross: fixed command line options parsing. Fixed usage of
	  $default_arch if ARCH or $arch are not set.
	* dh_strip, dpkg-shlibdeps: using dpkgcross_application() as wrapper
	  for dpkg-buildpackage -a<arch> and calling the diverted application.

2004-06-21  Nikita V. Youshchenko <yoush@cs.msu.su>

	* Makefile: don't remove autoconf/m4 in clean target because it's in
	  CVS
	* dpkg-cross-convert.1, dpkg-cross.1, cross-compile.5: removed - those
	  files are now generated from DocBook source
	* Makefile: remove $(MAN1) and $(MAN5) in clean target
	* dpkg-cross.sgml: minor editing
	* debian/control: Build-Depend on docbook-to-man
	* dpkg-cross: minor editing of --help text

2004-06-18  Raphael Bossek <bossekr@debian.org>

	* dpkg-cross-convert.sgml, dpkg-cross.sgml, cross-compile.sgml: DocBook
	  SGML based manual page documentation introduced. This should simplify
	  future work; http://www.docbook.org. Fixed some documentation errors.
	* autoconf/autogen.sh: fixed usage of GNU AutoTools by reordering the call
	  flow and removing unneeded tools.
	* autoconf/configure.ac: a more clean implementation based on the latest
	  GNU Autoconf documentation.
	* autoconf/Makefile.am: setup for new GNU AutoTools.
	* autoconf/config.guess, autoconf/config.sub: removed. autogen.sh have
	  to be called. Debian package `autotools-dev' should be installed in
	  this case.
	* Makefile: clean of autoconf directory. Creation for manual pages if
	  SGML files change. Extended the clean target so the autoconf directory
	  keeps clean and will not be archived. autogen.sh have to called first if
	  an new configuration is required.
	* dpkg-cross: don't forget about -A in --help output

2004-06-16  Nikita V. Youshchenko <yoush@cs.msu.su>

	* Makefile, dh_strip: added a script by Raphael Bossek, based on dh_strip
	  from debhelper, that tries to use correct strip binary for
	  cross targets
	* debian/{preinst, postrm}: divert dh_strip
	* dpkg-cross, dpkg-buildpackage: removed checks for old-style
	  installation
	* dpkg-shlibdeps: removed setting of unused variable $arch_elf

2004-06-16  Nikita V. Youshchenko <yoush@cs.msu.su>

	* dpkg-cross: updated copyright information.
	* cross-compile.1: documented ~/.dpkg/cross-compile.
	* debian/rules: removed most commented lines - those just pollute the
	  file and make it less readable.
	* dpkg-cross.pl: removed calls to setup() and read_config() and
	  setting of $arch_elf - that broke dpkg-cross -b.

2004-06-15  Raphael Bossek <bossekr@debian.org>

	* dpkg-buildpackage.in: renamed to dpkg-buildpackage.
	* dpkg-cross-convert.in: renamed to dpkg-cross-convert.
	* dpkg-cross.in: renamed to dpkg-cross.
	* dpkg-shlibdeps.in: renamed to dpkg-shlibdeps.
	* confinit, conf.sed, confsub: removed due to introduction of the
	  dpkg-cross.pl package.
	* dpkg-buildpackage, dpkg-cross-convert, dpkg-cross, dpkg-shlibdeps:
	  instead of substitude the implementation by sed the dpkg-cross.pl
	  package is required. Also the Roman's email and copyright notice
	  updated.
	* dpkg-cross.pl: new introduced file as replacement for sed
	  substitution. Contains common used functions and variables
	  required by the dpkg-cross tools.
	* dpkg-shlibdeps: using find_objdump() from dpkg-cross.pl. Fixed storage
	  of shared libraries and whose package resolve.
	* Makefile: file substitution removed and installationm of dpkg-cross.pl
	  package added. Installation of configuration files moved from
	  debian/rules.
	* debian/rules, debian/postinst, debian/postrm, debian/preinst: updated
	  version based on dh_make template.
	* debian/postrm: removing divertion of dpkg-cross applications.
	* debian/rules: installation routine moved to Makefile.
	* debian/control: maintainer field updated.
	* debian/copyright: more details on the copyright chistory added.
	* debian/conffiles: file removed because new debhelper (DH_COMPAT=3)
	  tools classified configuration files at its own.

=== release 1.15 ===

2004-06-14  David Schleef  <ds@schleef.org>

	* cross-compile.5: Change section, noticed by lintian
	* debian/changelog: Upload 1.15
	* debian/conffiles: Add cygwin-i386, noticed by lintian

2004-06-08  Nikita Youshchenko <yoush@cs.msu.su>

	* dpkg-shlibdeps.in: honour SHLIBSLOCALFILE and SUBSTVARSFILE
	  environment variables as default locations for shlibs.local
	  and substvars files.

2004-06-07  Nikita Youshchenko <yoush@cs.msu.su>

	* dpkg-cross.in: create /usr/share/doc/XXX directory in converted
	  packages, and put a readme file there.
	* dpkg-cross.in: accept -A|--convert-anyway option, that will make
	  dpkg-cross to convert package even it does not provide any files
	  useful for cross-compilation.
	* dpkg-cross.1: document -A option.

2004-06-06  Nikita Youshchenko <yoush@cs.msu.su>

	* dpkg-cross.in: rewrite dpkg-cross -b procedure, using different logic.
	  Now it first completely unpacks source deb, and only then decides what
	  files to move or modify.
	  Now it should not loose asm/arch symlink when processing
	  linux-kernel-headers.

2004-06-03  Nikita Youshchenko <yoush@cs.msu.su>

	* confinit, dpkg-cross.in, cross-compile.example, cross-compile.5:
	  Replaced hardcoded @omit_depends with configuration parameters
	  'keepdeps' and 'removedeps', documented it, provided defaults
	  in cross-compile.example
	* dpkg-buildpackage.in: don't sign merged changes file if -uc flag
	  is given
	* dpkg-buildpackage.in: set modified PATH to environment, not to
	  MAKEFLAGS
	* dpkg-buildpackage.in: when merging changes files, also merge
	  Binary: and Description: data
	* dpkg-cross.in:
	  If effective user id of dpkg-cross is non-zero. try to run 'dpkg -b'
	  under fakeroot. Warn that files in the package being created will
	  have incorrect owner if fakeroot is not available.
	* debian/control: suggest fakeroot
	* dpkg-cross.in: fix typo in help text (--version -> --verbose)
	* dpkg-cross.in: really print an error message if package file
	  being converted can't be open
	* dpkg-cross.in: allow to convert architecture: all packages (such
	  package may contain headers, examples include x-dev and
	  alsa-headers)
	* dpkg-cross.in: fail with appropriate message on attempt to convert
	  already-converted package
	* dpkg-cross.in: accept headers-only packages by not forgetting to
	  count headers in total files count
	* dpkg-cross.in: avoid error message from find if no pkgconfig files
	  are present in package being converted
	* dpkg-cross.in: detect ldscripts and convert them properly
	* dpkg-cross.in: removed some forgotten debug prints
	* dpkg-shlibdeps.in: process correctly sonames in form name-version.so
	  (e.g. libdb-4.2.so)
	* dpkg-shlibdeps.in: when searching packages that provide libraries,
	  don't pass a library to 'dpkg --search' if this library is mentioned
	  in shlibs.local or shlibs.override
	* confsub, dpkg-buildpackage.in, cross-compile.example, cross-compile.5:
	  Implemented more powerful variable setting control, documented it,
	  provided examples in cross-compile.example
	* debian/rules: move package build commands from build-arch to
	  build-indep
	* debian/rules: don't call dh_strip and dh_shlibdeps - both are not
	  needed for this package
	* debian/changelog: provided information about my unofficial
	  releases 1.14.1 - 1.14.6

2004-06-03  David Schleef  <ds@schleef.org>

	* Makefile: dummy commit
	* ChangeLog: start ChangeLog

